/*
 * ui_strings.h - UI strings and messages for MySocials.
 * This file is part of MySocials project.
 *
 * Copyright (C) 2009-10 Kirill Kulakov
 *
 * MSA program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MSA program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MSA program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor,
 * Boston, MA  02110-1301  USA
 */

#ifndef _UI_STRINGS_
#define _UI_STRINGS_

/* form labels */
#define STR_1MOR _("Send one more message")
#define STR_BOUT _("About")
#define STR_BACK _("Back")
#define STR_CNCL _("Cancel")
#define STR_CMPS _("Compose")
#define STR_EDIT _("Edit")
#define STR_EXIT _("Exit")
#define STR_FIND _("Find")
#define STR_FRDS _("Friends")
#define STR_FULL _("Full screen")
#define STR_GET_ _("Get")
#define STR_HELP _("Help")
#define STR_HIDE _("Hide offline")
#define STR_JOIN _("Join with...")
#define STR_MSGS _("Messages")
#define STR_NMSG _("New message")
#define STR_NOMS _("No messages")
#define STR_NOSR _("No friends found")
#define STR_NOON _("No friends online")
#define STR_OK__ _("Ok")
#define STR_PR2J _("profiles to join")
#define STR_PRFL _("Profile")
#define STR_PROG "MySocials"
#define STR_RPLY _("Reply")
#define STR_RSLT _("Search results for")
#define STR_SAVE _("Save")
#define STR_SEND _("Send")
#define STR_SETP _("Services")
#define STR_SHOW _("Show offline")
#define STR_SLCT _("Select")
#define STR_SETS _("Settings")
#define STR_STRT _("Start")
#define STR_TOOL _("Toolbar")
#define STR_TO   _("To: ")
#define STR_UPDT _("Refresh")
#define STR_INCM _("Incoming")
#define STR_SENT _("Sent")
#define STR_FROM _("From: ")
#define STR_LOGIN _("Login:")
#define STR_PASSWORD _("Password:")
#define STR_AUTOUPDATE _("Auto-update time:")
#define STR_SECONDS _("second(s)")

/* about and help */

/* Use English po file for translate help. Help should contain version number (%s) */
#define STR_HELPT _("MySocials version %s. STR_HELP")

/* Use English po file for translate about. About should contain version number (%s) */
#define STR_ABOUT _("MySocials version %s. STR_ABOUT")
#endif
